Skip to content

Returns owner-scoped designer metadata without accepting an Entity Definition identifier.

GET
/api/workspace/tasks/configuration/task-definitions/{taskDefinitionId}/data/{dataKind}/metadata
curl --request GET \
--url https://example.com/api/workspace/tasks/configuration/task-definitions/example/data/example/metadata \
--header 'Authorization: Bearer <token>'
taskDefinitionId
required
string
dataKind
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
TaskDefinitionId
string
nullable
Kind
integer format: int32
Allowed values: 0 1
EntityDefinitionId
string
nullable
DefaultFormKey
string
nullable
DefaultCardKey
string
nullable
StructuralRequiredSupported
boolean
TaskDefinitionRowVersion
string format: uuid
Actions
object
CanRead
boolean
CanUpdate
boolean
CanSetState
boolean
CanManageOutcomes
boolean
CanManageInterruptionReasons
boolean
CanManageExecutionPolicy
boolean
CanManageTransitions
boolean
CanDelete
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Kind": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}